<template>
  <div class="wrapper">
    <div id="title-wrapper">
      <span id="title"><strong>To do app</strong></span>
    </div>

    <div id="text-elements">
      <span class="move-elements">Home</span>
      <span class="move-elements">About</span>
      <span class="move-elements">Creator</span>
    </div>
  </div>
</template>

<script>
export default {
  name: "NavigationBar",
  props: {
    // msg: String
  },
};
</script>

<style scoped>
.wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  height: 10%;
  width: 100%;
  background-color: #3d8361;
  margin: 0;
  padding: 0;
  position: absolute;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
#text-elements {
  position: absolute;
  width: 33%;
  min-width: 33%;
  right: 0;
  height: 100%;
  gap: 10%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#title-wrapper {
  height: 100%;
  width: 33%;
  left: 0;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
}
#title {
  color: #eef2e6;
  font-family: "Times New Roman";
  font-size: 5em;
}
.move-elements {
  color: #eef2e6;
  font-family: "Times New Roman", Times, serif;
  font-size: 2em;
  transition: 0.3s;
}
.move-elements:hover {
  cursor: pointer;
  font-size: 3em;
  transition: 0.3s;
}
</style>
